/********************************************
* Zeus CMD - C++ Tutorial 13 : If Statement *
* By Grant James (ZEUS)                     *
* http://www.zeuscmd.com                    *
********************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
	double bobMark = 67.5;
	double fredMark = 32.3;
	double sarahMark = 83.3;

	// Plain IF Statement
	//--------------------
	if (bobMark > 50)
		cout << "Bob Passed" << endl;

	if (fredMark > 50)
		cout << "Fred Passed" << endl;

	// IF-ELSE statement
	//-------------------
	if (fredMark > 50)
		cout << "Fred Passed" << endl;
	else
		cout << "Fred Failed" << endl;

	// Multiple IF-ELSE's
	//--------------------
	if (fredMark > 80)
		cout << "Fred Received an A" << endl;
	else if (fredMark > 50)
		cout << "Fred Passed with no A" << endl;
	else
		cout << "Fred Failed" << endl;

	// IF-ELSE with code block
	//-------------------------
	if (fredMark < 50)
	{
		fredMark += 10;
		cout << "We helped Fred" << endl;
	}
	else
		cout << "Fred Passed";
		
	// Nested IF problem
	//-------------------
	if (fredMark < 50)
		if (sarahMark < 50)
			cout << "Fred and Sarah Both Failed"
				<< endl;
	else
		cout << "Fred Passed"
			<< endl;

	// Fixing the nested IF problem
	//------------------------------
	if (fredMark < 50)
	{
		if (sarahMark < 50)
			cout << "Fred and Sarah Both Failed"
			<< endl;
	}
	else
		cout << "Fred Passed"
			<< endl;

	// Multiple relational expressions
	//---------------------------------
	if (fredMark < 50 && sarahMark < 50)
		cout << "Fred and Sarah both failed"
			<< endl;
	else if (fredMark > 50 && sarahMark > 50)
		cout << "Fred and Sarah both passed"
			<< endl;

	system("sleep 1");

	return 0;
}
